Class | SOAP::Parser::ParseFrame
In: | soap/parser.rb
Parent: | Object

### Methods

new node=

### Classes and Modules

Class SOAP::Parser::ParseFrame::NodeContainer

### Attributes

encodingstyle | [R] |
name | [R] |
node | [R] |
ns | [R] |

### Public Class methods

new(ns, name, node, encodingstyle)

[Source]

    # File soap/parser.rb, line 49
        def initialize(ns, name, node, encodingstyle)
          @ns = ns
          @name = name
          self.node = node
          @encodingstyle = encodingstyle
        end

### Public Instance methods

node=(node)

[Source]

    # File soap/parser.rb, line 56
        def node=(node)
          @node = NodeContainer.new(node)
        end

[Validate]